Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.event
Class AbstractEvent

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.kernel.plugins.event.AbstractEvent

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, KernelEvent

public class AbstractEvent
extends org.jboss.util.JBossObject
implements KernelEvent

Abstract Event.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`protected Object` | `context` The context
`protected long` | `sequence` The sequence
`protected Object` | `source` The source
`protected long` | `timestamp` The timestamp
`protected String` | `type` The type

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractEvent(Object source, String type, long sequence, long timestamp, Object context)` Create a new abstract event

Method Summary
`Object` | `getContext()` Get the context
`long` | `getSequence()` Get the sequence
`Object` | `getSource()` Get the source of the event
`long` | `getTimestamp()` Get the timestamp
`String` | `getType()` Get the event type
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected Object source

  The source

### type

    protected String type

  The type

### sequence

    protected long sequence

  The sequence

### timestamp

    protected long timestamp

  The timestamp

### context

    protected Object context

  The context

Constructor Detail

### AbstractEvent

    public AbstractEvent(Object source,
                         String type,
                         long sequence,
                         long timestamp,
                         Object context)

  Create a new abstract event

Parameters:
  `source` - the source
  `type` - the type
  `sequence` - the sequeunce
  `timestamp` - the timestamp
  `context` - the context

Method Detail

### getContext

    public Object getContext()

  Description copied from interface: `KernelEvent`
  Get the context

  Specified by:
    `getContext` in interface `KernelEvent`
  Returns:
    the context

### getSequence

    public long getSequence()

  Description copied from interface: `KernelEvent`
  Get the sequence

  Specified by:
    `getSequence` in interface `KernelEvent`
  Returns:
    the sequence

### getSource

    public Object getSource()

  Description copied from interface: `KernelEvent`
  Get the source of the event

  Specified by:
    `getSource` in interface `KernelEvent`
  Returns:
    the source

### getTimestamp

    public long getTimestamp()

  Description copied from interface: `KernelEvent`
  Get the timestamp

  Specified by:
    `getTimestamp` in interface `KernelEvent`
  Returns:
    the timestamp

### getType

    public String getType()

  Description copied from interface: `KernelEvent`
  Get the event type

  Specified by:
    `getType` in interface `KernelEvent`
  Returns:
    the type

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.